"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrometheusMessageErrorCounter = void 0;
const PrometheusMessageMetric_1 = require("../../PrometheusMessageMetric");
class PrometheusMessageErrorCounter extends PrometheusMessageMetric_1.PrometheusMessageMetric {
    createMetric(client, metricParams) {
        return new client.Counter({
            name: metricParams.name,
            help: metricParams.helpDescription,
            labelNames: ['queue', 'messageType', 'version', 'errorReason'],
        });
    }
    registerProcessedMessage(metadata) {
        if (metadata.processingResult.status !== 'error')
            return;
        this.metric.inc({
            queue: metadata.queueName,
            messageType: metadata.messageType,
            errorReason: metadata.processingResult.errorReason,
            version: this.messageVersionGeneratingFunction(metadata),
        }, 1);
    }
}
exports.PrometheusMessageErrorCounter = PrometheusMessageErrorCounter;
//# sourceMappingURL=PrometheusMessageErrorCounter.js.map